Index: molecuilder/src/analysis_bonds.cpp
===================================================================
--- molecuilder/src/analysis_bonds.cpp	(revision 3561800616d100e40c39e5a93b9765d260e50b0f)
+++ molecuilder/src/analysis_bonds.cpp	(revision 5cf5a4a0464b8f54c442bbc4192cc9df792dd368)
@@ -51,5 +51,5 @@
  * \param &Max maximum distance on return, 0 if no bond between the two elements
  */
-void MinMeanMaxBondDistanceBetweenElements(const molecule *mol, element *type1, element *type2, double &Min, double &Mean, double &Max)
+void MinMeanMaxBondDistanceBetweenElements(const molecule *mol, const element *type1, const element *type2, double &Min, double &Mean, double &Max)
 {
   Min = 2e+6;
@@ -124,5 +124,5 @@
  * \param *InterfaceElement or NULL
  */
-int CountHydrogenBridgeBonds(MoleculeListClass *molecules, element * InterfaceElement = NULL)
+int CountHydrogenBridgeBonds(MoleculeListClass *molecules, const element * InterfaceElement = NULL)
 {
   atom *Walker = NULL;
@@ -181,5 +181,5 @@
                     // check angle
                     if (CheckHydrogenBridgeBondAngle(Walker, OtherAtom, Runner)) {
-                      DoLog(1) && (Log() << Verbose(1) << Walker->Name << ", " << OtherAtom->Name << " and " << Runner->Name << " has a hydrogen bridge bond with distance " << sqrt(distance) << " and angle " << CalculateAngle(&OtherAtom->x, &Walker->x, &Runner->x)*(180./M_PI) << "." << endl);
+                      DoLog(1) && (Log() << Verbose(1) << Walker->getName() << ", " << OtherAtom->getName() << " and " << Runner->getName() << " has a hydrogen bridge bond with distance " << sqrt(distance) << " and angle " << CalculateAngle(&OtherAtom->x, &Walker->x, &Runner->x)*(180./M_PI) << "." << endl);
                       count++;
                       break;
Index: molecuilder/src/analysis_bonds.hpp
===================================================================
--- molecuilder/src/analysis_bonds.hpp	(revision 3561800616d100e40c39e5a93b9765d260e50b0f)
+++ molecuilder/src/analysis_bonds.hpp	(revision 5cf5a4a0464b8f54c442bbc4192cc9df792dd368)
@@ -31,7 +31,7 @@
 
 void GetMaxMinMeanBondCount(const molecule * const mol, double &Min, double &Mean, double &Max);
-void MinMeanMaxBondDistanceBetweenElements(const molecule *mol, element *type1, element *type2, double &Min, double &Mean, double &Max);
+void MinMeanMaxBondDistanceBetweenElements(const molecule *mol, const element *type1, const element *type2, double &Min, double &Mean, double &Max);
 
-int CountHydrogenBridgeBonds(MoleculeListClass * const molecules, element * InterfaceElement);
+int CountHydrogenBridgeBonds(MoleculeListClass * const molecules, const element * InterfaceElement);
 int CountBondsOfTwo(MoleculeListClass * const molecules, const element * const first, const element * const second);
 int CountBondsOfThree(MoleculeListClass * const molecules, const element * const first, const element * const second, const element * const third);
Index: molecuilder/src/atom.cpp
===================================================================
--- molecuilder/src/atom.cpp	(revision 3561800616d100e40c39e5a93b9765d260e50b0f)
+++ molecuilder/src/atom.cpp	(revision 5cf5a4a0464b8f54c442bbc4192cc9df792dd368)
@@ -40,5 +40,5 @@
 
 atom *atom::clone(){
-  atom *res = new atom();
+  atom *res = new atom(this);
   res->previous=0;
   res->next=0;
Index: molecuilder/src/atom_bondedparticle.cpp
===================================================================
--- molecuilder/src/atom_bondedparticle.cpp	(revision 3561800616d100e40c39e5a93b9765d260e50b0f)
+++ molecuilder/src/atom_bondedparticle.cpp	(revision 5cf5a4a0464b8f54c442bbc4192cc9df792dd368)
@@ -44,5 +44,5 @@
 void BondedParticle::OutputBondOfAtom() const
 {
-  DoLog(4) && (Log() << Verbose(4) << "Atom " << Name << "/" << nr << " with " << ListOfBonds.size() << " bonds: " << endl);
+  DoLog(4) && (Log() << Verbose(4) << "Atom " << getName() << "/" << nr << " with " << ListOfBonds.size() << " bonds: " << endl);
   int TotalDegree = 0;
   for (BondList::const_iterator Runner = ListOfBonds.begin(); Runner != ListOfBonds.end(); ++Runner) {
Index: molecuilder/src/atom_graphnode.cpp
===================================================================
--- molecuilder/src/atom_graphnode.cpp	(revision 3561800616d100e40c39e5a93b9765d260e50b0f)
+++ molecuilder/src/atom_graphnode.cpp	(revision 5cf5a4a0464b8f54c442bbc4192cc9df792dd368)
@@ -27,5 +27,5 @@
 void GraphNode::OutputGraphInfo() const
 {
-  DoLog(2) && (Log() << Verbose(2) << "Atom " << Name << " is " << ((SeparationVertex) ? "a" : "not a") << " separation vertex, components are ");
+  DoLog(2) && (Log() << Verbose(2) << "Atom " << getName() << " is " << ((SeparationVertex) ? "a" : "not a") << " separation vertex, components are ");
   OutputComponentNumber();
   DoLog(3) && (Log() << Verbose(3) << " with Lowpoint " << LowpointNr << " and Graph Nr. " << GraphNr << "." << endl);
Index: molecuilder/src/atom_particleinfo.cpp
===================================================================
--- molecuilder/src/atom_particleinfo.cpp	(revision 3561800616d100e40c39e5a93b9765d260e50b0f)
+++ molecuilder/src/atom_particleinfo.cpp	(revision 5cf5a4a0464b8f54c442bbc4192cc9df792dd368)
@@ -11,13 +11,11 @@
 /** Constructor of ParticleInfo.
  */
-ParticleInfo::ParticleInfo() : nr(-1), Name(NULL) {};
+ParticleInfo::ParticleInfo() : nr(-1), name("Unknown") {
+};
 
 ParticleInfo::ParticleInfo(ParticleInfo *pointer) :
     nr(pointer->nr),
-    Name(pointer->Name)
-    {
-      if (Name == NULL)
-        Name = " ";
-    }
+    name(pointer->name)
+    {}
 
 
@@ -25,14 +23,17 @@
  */
 ParticleInfo::~ParticleInfo()
-{
-  Free(&Name);
-};
+{};
+
+const string& ParticleInfo::getName() const{
+  return name;
+}
+
+void ParticleInfo::setName(const string& _name){
+  name = _name;
+}
 
 ostream & operator << (ostream &ost, const ParticleInfo &a)
 {
-  if (a.Name == NULL)
-    ost << "[NULL]";
-  else
-    ost << "[" << a.Name << "|" << &a << "]";
+  ost << "[" << a.getName() << "|" << &a << "]";
   return ost;
 };
@@ -40,8 +41,5 @@
 ostream & ParticleInfo::operator << (ostream &ost) const
 {
-  if (Name == NULL)
-    ost << "[NULL]";
-  else
-    ost << "[" << Name << "|" << this << "]";
+  ost << "[" << name << "|" << this << "]";
   return ost;
 };
Index: molecuilder/src/atom_particleinfo.hpp
===================================================================
--- molecuilder/src/atom_particleinfo.hpp	(revision 3561800616d100e40c39e5a93b9765d260e50b0f)
+++ molecuilder/src/atom_particleinfo.hpp	(revision 5cf5a4a0464b8f54c442bbc4192cc9df792dd368)
@@ -28,5 +28,4 @@
 public:
   int nr;       // index to easierly identify
-  char *Name;   // some name to reference to on output
 
   ParticleInfo();
@@ -34,7 +33,11 @@
   ~ParticleInfo();
 
+  const std::string& getName() const;
+  void setName(const std::string&);
+
   ostream & operator << (ostream &ost) const;
 
 private:
+  std::string name;   // some name to reference to on output
 };
 
Index: molecuilder/src/bond.cpp
===================================================================
--- molecuilder/src/bond.cpp	(revision 3561800616d100e40c39e5a93b9765d260e50b0f)
+++ molecuilder/src/bond.cpp	(revision 5cf5a4a0464b8f54c442bbc4192cc9df792dd368)
@@ -53,5 +53,5 @@
 ostream & operator << (ostream &ost, const bond &b)
 {
-  ost << "[" << b.leftatom->Name << " <" << b.BondDegree << "(H" << b.HydrogenBond << ")>" << b.rightatom->Name << "]";
+  ost << "[" << b.leftatom->getName() << " <" << b.BondDegree << "(H" << b.HydrogenBond << ")>" << b.rightatom->getName() << "]";
   return ost;
 };
Index: molecuilder/src/builder.cpp
===================================================================
--- molecuilder/src/builder.cpp	(revision 3561800616d100e40c39e5a93b9765d260e50b0f)
+++ molecuilder/src/builder.cpp	(revision 5cf5a4a0464b8f54c442bbc4192cc9df792dd368)
@@ -53,4 +53,5 @@
 
 #include <cstring>
+#include <cstdlib>
 
 #include "analysis_bonds.hpp"
@@ -1494,5 +1495,5 @@
  */
 static int ParseCommandLineOptions(int argc, char **argv, MoleculeListClass *&molecules, periodentafel *&periode,
-                                   config& configuration, char *&ConfigFileName, list<int> &ArgcList)
+                                   config& configuration, char *&ConfigFileName, set<int> &ArgcList)
 {
   Vector x,y,z,n;  // coordinates for absolute point in cell volume
@@ -1525,15 +1526,16 @@
           case 'H':
           case '?':
-            ArgcList.push_back(argptr-1);
+            ArgcList.insert(argptr-1);
             return(1);
             break;
           case 'v':
-            ArgcList.push_back(argptr-1);
-            return(1);
+            setVerbosity(atoi(argv[argptr]));
+            ArgcList.insert(argptr-1);
+            ArgcList.insert(argptr);
+            argptr++;
             break;
           case 'V':
-            ArgcList.push_back(argptr-1);
-            ArgcList.push_back(argptr);
-            argptr++;
+            ArgcList.insert(argptr-1);
+            return(1);
             break;
           case 'B':
@@ -2488,4 +2490,5 @@
   ActionRegistry::purgeInstance();
   ActionHistory::purgeInstance();
+  Memory::getState();
 }
 
@@ -2502,5 +2505,13 @@
     bool ArgumentsCopied = false;
 
+    // print version check whether arguments are present at all
     cout << ESPACKVersion << endl;
+    if (argc < 2) {
+      cout << "Obtain help with " << argv[0] << " -h." << endl;
+      cleanUp();
+      Memory::getState();
+      return(1);
+    }
+
 
     setVerbosity(0);
@@ -2508,9 +2519,13 @@
     ActionHistory::init();
 
+    // from this moment on, we need to be sure to deeinitialize in the correct order
+    // this is handled by the cleanup function
+    atexit(cleanUp);
+
     // Parse command line options and if present create respective UI
     {
-      list<int> ArgcList;
-      ArgcList.push_back(0); // push back program!
-      ArgcList.push_back(1); // push back config file name
+      set<int> ArgcList;
+      ArgcList.insert(0); // push back program!
+      ArgcList.insert(1); // push back config file name
       char ConfigFileName[MAXSTRINGSIZE];
       // handle arguments by ParseCommandLineOptions()
@@ -2519,5 +2534,5 @@
       Arguments = Malloc<char *>(ArgcList.size(), "main - **Arguments");
       cout << "The following arguments are handled by CommandLineParser: ";
-      for (list<int>::iterator ArgcRunner = ArgcList.begin(); ArgcRunner != ArgcList.end(); ++ArgcRunner) {
+      for (set<int>::iterator ArgcRunner = ArgcList.begin(); ArgcRunner != ArgcList.end(); ++ArgcRunner) {
         Arguments[ArgcSize] = Malloc<char>(strlen(argv[*ArgcRunner])+2, "main - *Arguments[]");
         strcpy(Arguments[ArgcSize], argv[*ArgcRunner]);
@@ -2558,6 +2573,4 @@
   }
 
-  cleanUp();
-  Memory::getState();
   return (ExitFlag == 1 ? 0 : ExitFlag);
 }
Index: molecuilder/src/config.cpp
===================================================================
--- molecuilder/src/config.cpp	(revision 3561800616d100e40c39e5a93b9765d260e50b0f)
+++ molecuilder/src/config.cpp	(revision 5cf5a4a0464b8f54c442bbc4192cc9df792dd368)
@@ -1680,5 +1680,5 @@
     Walker = Walker->next;
     *output << Walker->nr << "\t";
-    *output << Walker->Name << "\t";
+    *output << Walker->getName() << "\t";
     *output << mol->name << "\t";
     *output << 0 << "\t";
@@ -1756,5 +1756,5 @@
         Walker = Walker->next;
         *output << AtomNo+1 << "\t";
-        *output << Walker->Name << "\t";
+        *output << Walker->getName() << "\t";
         *output << (*MolWalker)->name << "\t";
         *output << MolCounter+1 << "\t";
Index: molecuilder/src/elements.db
===================================================================
--- molecuilder/src/elements.db	(revision 3561800616d100e40c39e5a93b9765d260e50b0f)
+++ molecuilder/src/elements.db	(revision 5cf5a4a0464b8f54c442bbc4192cc9df792dd368)
@@ -2,111 +2,111 @@
 #Element	Name	Symbol	Period	Group	Block	Atomic	Number	AtomicWeight	Covalent	Radius	vdW	Radius
 Hydrogen	H	1	1	s	1	1.008	0.23	1.09
-Helium	He	1	18	p	2	4.003	1.50	1.40
+Helium	He	1	18	p	2	4.003	1.5	1.4
 Lithium	Li	2	1	s	3	6.941	0.68	1.82
-Beryllium	Be	2	2	s	4	9.012	0.35	2.00
-Boron	B	2	13	p	5	10.811	0.83	2.00
-Carbon	C	2	14	p	6	12.011	0.68	1.70
+Beryllium	Be	2	2	s	4	9.012	0.35	2
+Boron	B	2	13	p	5	10.811	0.83	2
+Carbon	C	2	14	p	6	12.011	0.68	1.7
 Nitrogen	N	2	15	p	7	14.007	0.68	1.55
 Oxygen	O	2	16	p	8	15.999	0.68	1.52
 Fluorine	F	2	17	p	9	18.998	0.64	1.47
-Neon	Ne	2	18	p	10	20.180	1.50	1.54
+Neon	Ne	2	18	p	10	20.18	1.5	1.54
 Sodium	Na	3	1	s	11	22.991	0.97	2.27
-Magnesium	Mg	3	2	s	12	24.305	1.10	1.73
-Aluminium	Al	3	13	p	13	26.982	1.35	2.00
-Silicon	Si	3	14	p	14	28.086	1.20	2.10
-Phosphorus	P	3	15	p	15	30.974	1.05	1.80
-Sulphur	S	3	16	p	16	32.066	1.02	1.80
+Magnesium	Mg	3	2	s	12	24.305	1.1	1.73
+Aluminium	Al	3	13	p	13	26.982	1.35	2
+Silicon	Si	3	14	p	14	28.086	1.2	2.1
+Phosphorus	P	3	15	p	15	30.974	1.05	1.8
+Sulphur	S	3	16	p	16	32.066	1.02	1.8
 Chlorine	Cl	3	17	p	17	35.453	0.99	1.75
 Argon	Ar	3	18	p	18	39.948	1.51	1.88
 Potassium	K	4	1	s	19	39.098	1.33	2.75
-Calcium	Ca	4	2	s	20	40.078	0.99	2.00
-Scandium	Sc	4	3	d	21	44.956	1.44	2.00
-Titanium	Ti	4	4	d	22	47.867	1.47	2.00
-Vanadium	V	4	5	d	23	50.942	1.33	2.00
-Chromium	Cr	4	6	d	24	51.996	1.35	2.00
-Manganese	Mn	4	7	d	25	54.938	1.35	2.00
-Iron	Fe	4	8	d	26	55.845	1.34	2.00
-Cobalt	Co	4	9	d	27	58.933	1.33	2.00
-Nickel	Ni	4	10	d	28	58.693	1.50	1.63
-Copper	Cu	4	11	d	29	63.546	1.52	1.40
-Zinc	Zn	4	12	d	30	65.390	1.45	1.39
+Calcium	Ca	4	2	s	20	40.078	0.99	2
+Scandium	Sc	4	3	d	21	44.956	1.44	2
+Titanium	Ti	4	4	d	22	47.867	1.47	2
+Vanadium	V	4	5	d	23	50.942	1.33	2
+Chromium	Cr	4	6	d	24	51.996	1.35	2
+Manganese	Mn	4	7	d	25	54.938	1.35	2
+Iron	Fe	4	8	d	26	55.845	1.34	2
+Cobalt	Co	4	9	d	27	58.933	1.33	2
+Nickel	Ni	4	10	d	28	58.693	1.5	1.63
+Copper	Cu	4	11	d	29	63.546	1.52	1.4
+Zinc	Zn	4	12	d	30	65.39	1.45	1.39
 Gallium	Ga	4	13	p	31	69.723	1.22	1.87
-Germanium	Ge	4	14	p	32	72.610	1.17	2.00
+Germanium	Ge	4	14	p	32	72.61	1.17	2
 Arsenic	As	4	15	p	33	74.922	1.21	1.85
-Selenium	Se	4	16	p	34	78.960	1.22	1.90
+Selenium	Se	4	16	p	34	78.96	1.22	1.9
 Bromine	Br	4	17	p	35	79.904	1.21	1.85
-Krypton	Kr	4	18	p	36	83.800	1.50	2.02
-Rubidium	Rb	5	1	s	37	85.468	1.47	2.00
-Strontium	Sr	5	2	s	38	87.620	1.12	2.00
-Yttrium	Y	5	3	d	39	88.906	1.78	2.00
-Zirconium	Zr	5	4	d	40	91.224	1.56	2.00
-Niobium	Nb	5	5	d	41	92.906	1.48	2.00
-Molybdenum	Mo	5	6	d	42	95.940	1.47	2.00
-Technetium	Tc	5	7	d	43	98	1.35	2.00
-Ruthenium	Ru	5	8	d	44	101.070	1.40	2.00
-Rhodium	Rh	5	9	d	45	102.906	1.45	2.00
-Palladium	Pd	5	10	d	46	106.420	1.50	1.63
+Krypton	Kr	4	18	p	36	83.8	1.5	2.02
+Rubidium	Rb	5	1	s	37	85.468	1.47	2
+Strontium	Sr	5	2	s	38	87.62	1.12	2
+Yttrium	Y	5	3	d	39	88.906	1.78	2
+Zirconium	Zr	5	4	d	40	91.224	1.56	2
+Niobium	Nb	5	5	d	41	92.906	1.48	2
+Molybdenum	Mo	5	6	d	42	95.94	1.47	2
+Technetium	Tc	5	7	d	43	98	1.35	2
+Ruthenium	Ru	5	8	d	44	101.07	1.4	2
+Rhodium	Rh	5	9	d	45	102.906	1.45	2
+Palladium	Pd	5	10	d	46	106.42	1.5	1.63
 Silver	Ag	5	11	d	47	107.868	1.59	1.72
 Cadmium	Cd	5	12	d	48	112.411	1.69	1.58
 Indium	In	5	13	p	49	114.818	1.63	1.93
 Tin	Sn	5	14	p	50	118.71	1.46	2.17
-Antimony	Sb	5	15	p	51	121.760	1.46	2.00
-Tellurium	Te	5	16	p	52	127.600	1.47	2.06
-Iodine	I	5	17	p	53	126.904	1.40	1.98
-Xenon	Xe	5	18	p	54	131.290	1.50	2.16
-Caesium	Cs	6	1	s	55	132.905	1.67	2.00
-Barium	Ba	6	2	s	56	137.327	1.34	2.00
-Lutetium	Lu	6	3	d	71	174.967	1.72	2.00
-Hafnium	Hf	6	4	d	72	178.490	1.57	2.00
-Tantalum	Ta	6	5	d	73	180.948	1.43	2.00
-Tungsten	W	6	6	d	74	183.840	1.37	2.00
-Rhenium	Re	6	7	d	75	186.207	1.35	2.00
-Osmium	Os	6	8	d	76	190.230	1.37	2.00
-Iridium	Ir	6	9	d	77	192.217	1.32	2.00
-Platinum	Pt	6	10	d	78	195.078	1.50	1.72
-Gold	Au	6	11	d	79	196.967	1.50	1.66
-Mercury	Hg	6	12	d	80	200.590	1.70	1.55
+Antimony	Sb	5	15	p	51	121.76	1.46	2
+Tellurium	Te	5	16	p	52	127.6	1.47	2.06
+Iodine	I	5	17	p	53	126.904	1.4	1.98
+Xenon	Xe	5	18	p	54	131.29	1.5	2.16
+Caesium	Cs	6	1	s	55	132.905	1.67	2
+Barium	Ba	6	2	s	56	137.327	1.34	2
+Lanthanum	La	6Lan	19	f	57	138.906	1.87	2
+Cerium	Ce	6Lan	19	f	58	140.116	1.83	2
+Praseodymium	Pr	6Lan	19	f	59	140.908	1.82	2
+Neodymium	Nd	6Lan	19	f	60	144.24	1.81	2
+Promethium	Pm	6Lan	19	f	61	145	1.8	2
+Samarium	Sm	6Lan	19	f	62	150.36	1.8	2
+Europium	Eu	6Lan	19	f	63	151.964	1.99	2
+Gadolinium	Gd	6Lan	19	f	64	157.25	1.79	2
+Terbium	Tb	6Lan	19	f	65	158.925	1.76	2
+Dysprosium	Dy	6Lan	19	f	66	162.5	1.75	2
+Holmium	Ho	6Lan	19	f	67	164.93	1.74	2
+Erbium	Er	6Lan	19	f	68	167.26	1.73	2
+Thulium	Tm	6Lan	19	f	69	168.934	1.72	2
+Ytterbium	Yb	6Lan	19	f	70	173.04	1.94	2
+Lutetium	Lu	6	3	d	71	174.967	1.72	2
+Hafnium	Hf	6	4	d	72	178.49	1.57	2
+Tantalum	Ta	6	5	d	73	180.948	1.43	2
+Tungsten	W	6	6	d	74	183.84	1.37	2
+Rhenium	Re	6	7	d	75	186.207	1.35	2
+Osmium	Os	6	8	d	76	190.23	1.37	2
+Iridium	Ir	6	9	d	77	192.217	1.32	2
+Platinum	Pt	6	10	d	78	195.078	1.5	1.72
+Gold	Au	6	11	d	79	196.967	1.5	1.66
+Mercury	Hg	6	12	d	80	200.59	1.7	1.55
 Thallium	Tl	6	13	p	81	204.383	1.55	1.96
-Lead	Pb	6	14	p	82	207.200	1.54	2.02
-Bismuth	Bi	6	15	p	83	208.980	1.54	2.00
-Polonium	Po	6	16	p	84	210	1.68	2.00
-Astatine	At	6	17	p	85	210	1.21	2.00
-Radon	Rn	6	18	p	86	222	1.50	2.00
-Cerium	Ce	6Lan	19	f	58	140.116	1.83	2.00
-Dysprosium	Dy	6Lan	19	f	66	162.500	1.75	2.00
-Erbium	Er	6Lan	19	f	68	167.260	1.73	2.00
-Europium	Eu	6Lan	19	f	63	151.964	1.99	2.00
-Gadolinium	Gd	6Lan	19	f	64	157.250	1.79	2.00
-Holmium	Ho	6Lan	19	f	67	164.930	1.74	2.00
-Lanthanum	La	6Lan	19	f	57	138.906	1.87	2.00
-Neodymium	Nd	6Lan	19	f	60	144.240	1.81	2.00
-Promethium	Pm	6Lan	19	f	61	145	1.80	2.00
-Praseodymium	Pr	6Lan	19	f	59	140.908	1.82	2.00
-Samarium	Sm	6Lan	19	f	62	150.360	1.80	2.00
-Terbium	Tb	6Lan	19	f	65	158.925	1.76	2.00
-Thulium	Tm	6Lan	19	f	69	168.934	1.72	2.00
-Ytterbium	Yb	6Lan	19	f	70	173.040	1.94	2.00
-Francium	Fr	7	1	s	87	223	1.50	2.00
-Radium	Ra	7	2	s	88	226	1.90	2.00
-Lawrencium	Lr	7	3	d	103	262	1.50	2.00
-Rutherfordium	Rf	7	4	d	104	261	1.50	2.00
-Dubnium	Db	7	5	d	105	262	1.50	2.00
-Seaborgium	Sg	7	6	d	106	266	1.50	2.00
-Bohrium	Bh	7	7	d	107	264	1.50	2.00
-Hassium	Hs	7	8	d	108	269	1.50	2.00
-Meitnerium	Mt	7	9	d	109	268	1.50	2.00
-Darmstadtium	Ds	7	10	d	110	271	1.50	2.00
-Actinium	Ac	7Act	20	f	89	227	1.88	2.00
-Americium	Am	7Act	20	f	95	243	1.51	2.00
-Berkelium	Bk	7Act	20	f	97	247	1.54	2.00
-Californium	Cf	7Act	20	f	98	251	1.83	2.00
-Curium	Cm	7Act	20	f	96	247	0.99	2.00
-Einsteinium	Es	7Act	20	f	99	252	1.50	2.00
-Fermium	Fm	7Act	20	f	100	257	1.50	2.00
-Mendelevium	Md	7Act	20	f	101	258	1.50	2.00
-Nobelium	No	7Act	20	f	102	259	1.50	2.00
-Neptunium	Np	7Act	20	f	93	237	1.55	2.00
-Protactinium	Pa	7Act	20	f	91	231.036	1.61	2.00
-Plutonium	Pu	7Act	20	f	94	244	1.53	2.00
-Thorium	Th	7Act	20	f	90	232.038	1.79	2.00
+Lead	Pb	6	14	p	82	207.2	1.54	2.02
+Bismuth	Bi	6	15	p	83	208.98	1.54	2
+Polonium	Po	6	16	p	84	210	1.68	2
+Astatine	At	6	17	p	85	210	1.21	2
+Radon	Rn	6	18	p	86	222	1.5	2
+Francium	Fr	7	1	s	87	223	1.5	2
+Radium	Ra	7	2	s	88	226	1.9	2
+Actinium	Ac	7Act	20	f	89	227	1.88	2
+Thorium	Th	7Act	20	f	90	232.038	1.79	2
+Protactinium	Pa	7Act	20	f	91	231.036	1.61	2
 Uranium	U	7Act	20	f	92	238.029	1.58	1.86
+Neptunium	Np	7Act	20	f	93	237	1.55	2
+Plutonium	Pu	7Act	20	f	94	244	1.53	2
+Americium	Am	7Act	20	f	95	243	1.51	2
+Curium	Cm	7Act	20	f	96	247	0.99	2
+Berkelium	Bk	7Act	20	f	97	247	1.54	2
+Californium	Cf	7Act	20	f	98	251	1.83	2
+Einsteinium	Es	7Act	20	f	99	252	1.5	2
+Fermium	Fm	7Act	20	f	100	257	1.5	2
+Mendelevium	Md	7Act	20	f	101	258	1.5	2
+Nobelium	No	7Act	20	f	102	259	1.5	2
+Lawrencium	Lr	7	3	d	103	262	1.5	2
+Rutherfordium	Rf	7	4	d	104	261	1.5	2
+Dubnium	Db	7	5	d	105	262	1.5	2
+Seaborgium	Sg	7	6	d	106	266	1.5	2
+Bohrium	Bh	7	7	d	107	264	1.5	2
+Hassium	Hs	7	8	d	108	269	1.5	2
+Meitnerium	Mt	7	9	d	109	268	1.5	2
+Darmstadtium	Ds	7	10	d	110	271	1.5	2
Index: molecuilder/src/elements_db.cpp
===================================================================
--- molecuilder/src/elements_db.cpp	(revision 5cf5a4a0464b8f54c442bbc4192cc9df792dd368)
+++ molecuilder/src/elements_db.cpp	(revision 5cf5a4a0464b8f54c442bbc4192cc9df792dd368)
@@ -0,0 +1,317 @@
+/*
+ * elements_db.cpp
+ *
+ *  Created on: 17.05.2010
+ *      Author: heber
+ */
+
+const char *elementsDB =\
+"#	Covalent	radius	of	each	element	in	Angstroem	from	CSD	(binding	is:	[Rcov(A)+Rcov(B)-t,Rcov(A)+Rcov(B)+t]	with	t	=	0.4A\n\
+#Element	Name	Symbol	Period	Group	Block	Atomic	Number	AtomicWeight	Covalent	Radius	vdW	Radius\n\
+Hydrogen	H	1	1	s	1	1.008	0.23	1.09\n\
+Helium	He	1	18	p	2	4.003	1.50	1.40\n\
+Lithium	Li	2	1	s	3	6.941	0.68	1.82\n\
+Beryllium	Be	2	2	s	4	9.012	0.35	2.00\n\
+Boron	B	2	13	p	5	10.811	0.83	2.00\n\
+Carbon	C	2	14	p	6	12.011	0.68	1.70\n\
+Nitrogen	N	2	15	p	7	14.007	0.68	1.55\n\
+Oxygen	O	2	16	p	8	15.999	0.68	1.52\n\
+Fluorine	F	2	17	p	9	18.998	0.64	1.47\n\
+Neon	Ne	2	18	p	10	20.180	1.50	1.54\n\
+Sodium	Na	3	1	s	11	22.991	0.97	2.27\n\
+Magnesium	Mg	3	2	s	12	24.305	1.10	1.73\n\
+Aluminium	Al	3	13	p	13	26.982	1.35	2.00\n\
+Silicon	Si	3	14	p	14	28.086	1.20	2.10\n\
+Phosphorus	P	3	15	p	15	30.974	1.05	1.80\n\
+Sulphur	S	3	16	p	16	32.066	1.02	1.80\n\
+Chlorine	Cl	3	17	p	17	35.453	0.99	1.75\n\
+Argon	Ar	3	18	p	18	39.948	1.51	1.88\n\
+Potassium	K	4	1	s	19	39.098	1.33	2.75\n\
+Calcium	Ca	4	2	s	20	40.078	0.99	2.00\n\
+Scandium	Sc	4	3	d	21	44.956	1.44	2.00\n\
+Titanium	Ti	4	4	d	22	47.867	1.47	2.00\n\
+Vanadium	V	4	5	d	23	50.942	1.33	2.00\n\
+Chromium	Cr	4	6	d	24	51.996	1.35	2.00\n\
+Manganese	Mn	4	7	d	25	54.938	1.35	2.00\n\
+Iron	Fe	4	8	d	26	55.845	1.34	2.00\n\
+Cobalt	Co	4	9	d	27	58.933	1.33	2.00\n\
+Nickel	Ni	4	10	d	28	58.693	1.50	1.63\n\
+Copper	Cu	4	11	d	29	63.546	1.52	1.40\n\
+Zinc	Zn	4	12	d	30	65.390	1.45	1.39\n\
+Gallium	Ga	4	13	p	31	69.723	1.22	1.87\n\
+Germanium	Ge	4	14	p	32	72.610	1.17	2.00\n\
+Arsenic	As	4	15	p	33	74.922	1.21	1.85\n\
+Selenium	Se	4	16	p	34	78.960	1.22	1.90\n\
+Bromine	Br	4	17	p	35	79.904	1.21	1.85\n\
+Krypton	Kr	4	18	p	36	83.800	1.50	2.02\n\
+Rubidium	Rb	5	1	s	37	85.468	1.47	2.00\n\
+Strontium	Sr	5	2	s	38	87.620	1.12	2.00\n\
+Yttrium	Y	5	3	d	39	88.906	1.78	2.00\n\
+Zirconium	Zr	5	4	d	40	91.224	1.56	2.00\n\
+Niobium	Nb	5	5	d	41	92.906	1.48	2.00\n\
+Molybdenum	Mo	5	6	d	42	95.940	1.47	2.00\n\
+Technetium	Tc	5	7	d	43	98	1.35	2.00\n\
+Ruthenium	Ru	5	8	d	44	101.070	1.40	2.00\n\
+Rhodium	Rh	5	9	d	45	102.906	1.45	2.00\n\
+Palladium	Pd	5	10	d	46	106.420	1.50	1.63\n\
+Silver	Ag	5	11	d	47	107.868	1.59	1.72\n\
+Cadmium	Cd	5	12	d	48	112.411	1.69	1.58\n\
+Indium	In	5	13	p	49	114.818	1.63	1.93\n\
+Tin	Sn	5	14	p	50	118.71	1.46	2.17\n\
+Antimony	Sb	5	15	p	51	121.760	1.46	2.00\n\
+Tellurium	Te	5	16	p	52	127.600	1.47	2.06\n\
+Iodine	I	5	17	p	53	126.904	1.40	1.98\n\
+Xenon	Xe	5	18	p	54	131.290	1.50	2.16\n\
+Caesium	Cs	6	1	s	55	132.905	1.67	2.00\n\
+Barium	Ba	6	2	s	56	137.327	1.34	2.00\n\
+Lutetium	Lu	6	3	d	71	174.967	1.72	2.00\n\
+Hafnium	Hf	6	4	d	72	178.490	1.57	2.00\n\
+Tantalum	Ta	6	5	d	73	180.948	1.43	2.00\n\
+Tungsten	W	6	6	d	74	183.840	1.37	2.00\n\
+Rhenium	Re	6	7	d	75	186.207	1.35	2.00\n\
+Osmium	Os	6	8	d	76	190.230	1.37	2.00\n\
+Iridium	Ir	6	9	d	77	192.217	1.32	2.00\n\
+Platinum	Pt	6	10	d	78	195.078	1.50	1.72\n\
+Gold	Au	6	11	d	79	196.967	1.50	1.66\n\
+Mercury	Hg	6	12	d	80	200.590	1.70	1.55\n\
+Thallium	Tl	6	13	p	81	204.383	1.55	1.96\n\
+Lead	Pb	6	14	p	82	207.200	1.54	2.02\n\
+Bismuth	Bi	6	15	p	83	208.980	1.54	2.00\n\
+Polonium	Po	6	16	p	84	210	1.68	2.00\n\
+Astatine	At	6	17	p	85	210	1.21	2.00\n\
+Radon	Rn	6	18	p	86	222	1.50	2.00\n\
+Cerium	Ce	6Lan	19	f	58	140.116	1.83	2.00\n\
+Dysprosium	Dy	6Lan	19	f	66	162.500	1.75	2.00\n\
+Erbium	Er	6Lan	19	f	68	167.260	1.73	2.00\n\
+Europium	Eu	6Lan	19	f	63	151.964	1.99	2.00\n\
+Gadolinium	Gd	6Lan	19	f	64	157.250	1.79	2.00\n\
+Holmium	Ho	6Lan	19	f	67	164.930	1.74	2.00\n\
+Lanthanum	La	6Lan	19	f	57	138.906	1.87	2.00\n\
+Neodymium	Nd	6Lan	19	f	60	144.240	1.81	2.00\n\
+Promethium	Pm	6Lan	19	f	61	145	1.80	2.00\n\
+Praseodymium	Pr	6Lan	19	f	59	140.908	1.82	2.00\n\
+Samarium	Sm	6Lan	19	f	62	150.360	1.80	2.00\n\
+Terbium	Tb	6Lan	19	f	65	158.925	1.76	2.00\n\
+Thulium	Tm	6Lan	19	f	69	168.934	1.72	2.00\n\
+Ytterbium	Yb	6Lan	19	f	70	173.040	1.94	2.00\n\
+Francium	Fr	7	1	s	87	223	1.50	2.00\n\
+Radium	Ra	7	2	s	88	226	1.90	2.00\n\
+Lawrencium	Lr	7	3	d	103	262	1.50	2.00\n\
+Rutherfordium	Rf	7	4	d	104	261	1.50	2.00\n\
+Dubnium	Db	7	5	d	105	262	1.50	2.00\n\
+Seaborgium	Sg	7	6	d	106	266	1.50	2.00\n\
+Bohrium	Bh	7	7	d	107	264	1.50	2.00\n\
+Hassium	Hs	7	8	d	108	269	1.50	2.00\n\
+Meitnerium	Mt	7	9	d	109	268	1.50	2.00\n\
+Darmstadtium	Ds	7	10	d	110	271	1.50	2.00\n\
+Actinium	Ac	7Act	20	f	89	227	1.88	2.00\n\
+Americium	Am	7Act	20	f	95	243	1.51	2.00\n\
+Berkelium	Bk	7Act	20	f	97	247	1.54	2.00\n\
+Californium	Cf	7Act	20	f	98	251	1.83	2.00\n\
+Curium	Cm	7Act	20	f	96	247	0.99	2.00\n\
+Einsteinium	Es	7Act	20	f	99	252	1.50	2.00\n\
+Fermium	Fm	7Act	20	f	100	257	1.50	2.00\n\
+Mendelevium	Md	7Act	20	f	101	258	1.50	2.00\n\
+Nobelium	No	7Act	20	f	102	259	1.50	2.00\n\
+Neptunium	Np	7Act	20	f	93	237	1.55	2.00\n\
+Protactinium	Pa	7Act	20	f	91	231.036	1.61	2.00\n\
+Plutonium	Pu	7Act	20	f	94	244	1.53	2.00\n\
+Thorium	Th	7Act	20	f	90	232.038	1.79	2.00\n\
+Uranium	U	7Act	20	f	92	238.029	1.58	1.86\n\
+";
+
+const char *HbonddistanceDB =\
+"#atomic number bond distances for single, double and triple bond (-1 no bond)\n\
+1	0.74	-1	-1\n\
+2	0.77429209	-1	-1\n\
+5	1.23	1.19	1.18\n\
+6	1.09	1.076	1.06\n\
+7	1.04	1.02	1.01\n\
+8	0.96	0.957	-1\n\
+14	1.48	1.48	1.48\n\
+15	1.42	-1	-1\n\
+16	1.35	-1	-1\n\
+17	1.29	-1	-1\n\
+20	1.09	1.09	-1\n\
+34	1.47	-1	-1\n\
+35	1.44	-1	-1\n\
+";
+
+const char *HbondangleDB =\
+"# atomicnumber angles for single, double and triple bond (-1 no angle)\n\
+1	180	-1	-1\n\
+5	180	131.0	109.2\n\
+6	180	120	109.47\n\
+7	180	110	106.67\n\
+8	180	104.5	-1\n\
+14	180	120	109.47\n\
+15	180	-1	-1\n\
+16	180	-1	-1\n\
+17	180 -1 -1\n\
+20	180	120	109.47\n\
+34	180 -1 -1\n\
+35	180 -1 -1\n\
+";
+
+const char *orbitalsDB =\
+"# atomicnumber	numberoforbitals\n\
+1	1\n\
+2	0\n\
+3	1\n\
+4	2\n\
+5	3\n\
+6	4\n\
+7	3\n\
+8	2\n\
+9	1\n\
+10	0\n\
+11	1\n\
+12	2\n\
+13	3\n\
+14	4\n\
+15	3\n\
+16	2\n\
+17	1\n\
+18	0\n\
+19	1\n\
+20	4\n\
+21	3\n\
+22	4\n\
+23	5\n\
+24	6\n\
+25	4\n\
+26	3\n\
+27	3\n\
+28	2\n\
+29	2\n\
+30	2\n\
+31	3\n\
+32	4\n\
+33	3\n\
+34	2\n\
+35	1\n\
+36	0\n\
+37	1\n\
+38	2\n\
+39	3\n\
+40	4\n\
+41	5\n\
+42	6\n\
+43	6\n\
+44	8\n\
+45	4\n\
+46	4\n\
+47	1\n\
+48	2\n\
+49	3\n\
+50	4\n\
+51	3\n\
+52	2\n\
+53	1\n\
+54	0\n\
+55	1\n\
+56	2\n\
+57	3\n\
+58	4\n\
+59	3\n\
+60	4\n\
+61	3\n\
+62	3\n\
+63	3\n\
+64	3\n\
+65	4\n\
+66	3\n\
+67	3\n\
+68	3\n\
+69	3	\n\
+70	3\n\
+71	3\n\
+72	4\n\
+73	5\n\
+74	6\n\
+75	7\n\
+76	8\n\
+77	6\n\
+78	6\n\
+79	3\n\
+80	2\n\
+81	3\n\
+82	4\n\
+83	3\n\
+84	4\n\
+86	0\n\
+88	2\n\
+89	3\n\
+90	4\n\
+91	5\n\
+92	6\n\
+";
+
+const char *valenceDB =\
+"#atomicnumber numberofvalenceorbitals\n\
+1	0.10000000000000E+01\n\
+2	0.20000000000000E+01\n\
+3	0.10000000000000E+01\n\
+4	0.20000000000000E+01\n\
+5	0.30000000000000E+01\n\
+6	0.40000000000000E+01\n\
+7	0.50000000000000E+01\n\
+8	0.60000000000000E+01\n\
+9	0.70000000000000E+01\n\
+10	0.80000000000000E+01\n\
+11	0.10000000000000E+01\n\
+12	0.40000000000000E+01\n\
+13	.3000000000000000E+01\n\
+14	0.40000000000000E+01\n\
+15	0.50000000000000E+01\n\
+16	0.60000000000000E+01\n\
+17	0.70000000000000E+01\n\
+18	0.80000000000000E+01\n\
+19	0.30000000000000E+01\n\
+20	0.40000000000000E+01\n\
+21	0.30000000000000E+01\n\
+22	0.40000000000000E+01\n\
+23	0.50000000000000E+01\n\
+24	0.60000000000000E+01\n\
+25	0.70000000000000E+01\n\
+26	0.80000000000000E+01\n\
+27	0.90000000000000E+01\n\
+28	0.10000000000000E+02\n\
+29	0.11000000000000E+02\n\
+30	0.12000000000000E+02\n\
+31	3.00000000000000000\n\
+32	0.40000000000000E+01\n\
+33	5.00000000000000000\n\
+34	0.60000000000000E+01\n\
+35	0.70000000000000E+01\n\
+36	0.80000000000000E+01\n\
+37	0.10000000000000E+01\n\
+38	0.20000000000000E+01\n\
+39	0.30000000000000E+01\n\
+40	0.40000000000000E+01\n\
+41	0.50000000000000E+01\n\
+42	0.60000000000000E+01\n\
+43	0.70000000000000E+01\n\
+44	0.80000000000000E+01\n\
+45	0.90000000000000E+01\n\
+46	0.10000000000000E+02\n\
+47	0.11000000000000E+02\n\
+48	0.12000000000000E+02\n\
+49	0.30000000000000E+01\n\
+50	0.40000000000000E+01\n\
+51	0.50000000000000E+01\n\
+52	0.60000000000000E+01\n\
+53	0.70000000000000E+01\n\
+54	0.80000000000000E+01\n\
+55	0.10000000000000E+01\n\
+56	0.20000000000000E+01\n\
+72	0.40000000000000E+01\n\
+73	0.50000000000000E+01\n\
+74	0.60000000000000E+01\n\
+75	0.70000000000000E+01\n\
+76	0.80000000000000E+01\n\
+77	0.90000000000000E+01\n\
+78	0.10000000000000E+02\n\
+79	0.11000000000000E+02\n\
+80	0.12000000000000E+02\n\
+";
Index: molecuilder/src/elements_db.hpp
===================================================================
--- molecuilder/src/elements_db.hpp	(revision 5cf5a4a0464b8f54c442bbc4192cc9df792dd368)
+++ molecuilder/src/elements_db.hpp	(revision 5cf5a4a0464b8f54c442bbc4192cc9df792dd368)
@@ -0,0 +1,17 @@
+/*
+ * elements_db.hpp
+ *
+ *  Created on: 17.05.2010
+ *      Author: heber
+ */
+
+#ifndef ELEMENTS_DB_HPP_
+#define ELEMENTS_DB_HPP_
+
+extern const char *elementsDB;
+extern const char *HbonddistanceDB;
+extern const char *HbondangleDB;
+extern const char *orbitalsDB;
+extern const char *valenceDB;
+
+#endif /* ELEMENTS_DB_HPP_ */
Index: molecuilder/src/helpers.cpp
===================================================================
--- molecuilder/src/helpers.cpp	(revision 3561800616d100e40c39e5a93b9765d260e50b0f)
+++ molecuilder/src/helpers.cpp	(revision 5cf5a4a0464b8f54c442bbc4192cc9df792dd368)
@@ -209,8 +209,8 @@
  */
 void performCriticalExit() {
-  map<void*, size_t> pointers = MemoryUsageObserver::getInstance()->getPointersToAllocatedMemory();
-  for (map<void*, size_t>::iterator runner = pointers.begin(); runner != pointers.end(); runner++) {
-    Free(((void**) &runner->first));
-  }
+//  map<void*, size_t> pointers = MemoryUsageObserver::getInstance()->getPointersToAllocatedMemory();
+//  for (map<void*, size_t>::iterator runner = pointers.begin(); runner != pointers.end(); runner++) {
+//    Free(((void**) &runner->first));
+//  }
 
   exit(255);
